@echo off
if "%1"=="" ( 
  echo args error: specify build number parameter.
  exit /b 1
)
if exist webpack (
  echo Removing old webpack...
  rmdir /s /q webpack || goto fail
)

set KEY=cdn_auth.key
if exist keypath.txt FOR /F "tokens=* USEBACKQ" %%F IN (`type keypath.txt`) DO SET KEY=%%F

if not exist %KEY% (
  echo key file "%KEY%" not found
  exit /b 1
)

echo Used key: %KEY%

echo Downloading https://camelot.boolat.com/download_webpack_hi_res/%1
curl -o webpack-hi-res.zip -k https://camelot.boolat.com/download_webpack_hi_res/%1 || goto fail

echo Unzipping webpack
7za -owebpack x -aos webpack-hi-res.zip || goto fail
del webpack-hi-res.zip || goto fail

echo Downloading https://camelot.boolat.com/download_webpack_low_res/%1
curl -o webpack-low-res.zip -k https://camelot.boolat.com/download_webpack_low_res/%1 || goto fail

echo Unzipping webpack
7za -owebpack x -aos webpack-low-res.zip || goto fail
del webpack-low-res.zip || goto fail

echo Upload to KeyCDN

FOR /F "tokens=* USEBACKQ" %%F IN (`minicygwin\bin\cygpath %KEY%`) DO SET cygpath_key=%%F

if not exist minicygwin\home mkdir minicygwin\home
if not exist minicygwin\home\%USERNAME% mkdir minicygwin\home\%USERNAME%

set PATH=/bin
echo minicygwin\bin\bash --login -c "rsync -e \"ssh -o 'StrictHostKeyChecking no' -i %cygpath_key%\" --chmod=Du=rwx,Dgo=rx,Fu=rw,Fgo=r -r webpack/ EVOGames@rsync.keycdn.com:zones/vinland/" || goto fail
minicygwin\bin\bash --login -c "rsync -e \"ssh -o 'StrictHostKeyChecking no' -i %cygpath_key%\" --chmod=Du=rwx,Dgo=rx,Fu=rw,Fgo=r -r webpack/ EVOGames@rsync.keycdn.com:zones/vinland/" || goto fail

echo Cleanup...
rmdir /s /q webpack || goto fail
echo Complete

exit /b 0

:fail
echo error: Webpack upload failed.
exit /b 1